
%global debug_package	%{nil}
%global snapshot	1 

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%endif

%global provider	github
%global provider_tld	com
%global project		openshift
%global repo		prometheus-alert-buffer
# github.com/openshift/prometheus-alert-buffer
%global provider_prefix	%{provider}.%{provider_tld}/%{project}/%{repo}
%global import_path	%{provider_prefix}
%global commit		ceca8c1b449d6a0dcba9a5c2e0d35b9305b0d23c
%global shortcommit	%(c=%{commit}; echo ${c:0:7})
%global build_gopath    %{_builddir}/%{repo}-%{shortcommit}-gopath

Name:		golang-%{provider}-%{project}-%{repo}
Version:	0
Release:	2.git%{shortcommit}%{?dist}
Summary:	A small server that saves incoming webhook JSON objects and makes them queryable over HTTP. 
License:	ASL 2.0
URL:		https://%{provider}.%{provider_tld}/%{project}/%{repo}
Source0:	https://%{provider_prefix}/archive/%{commit}/%{repo}-%{shortcommit}.tar.gz

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm} ppc64le s390x}
BuildRequires:	%{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

Provides:       %{repo} = %{version}-%{release}

%description
%{summary}

%prep
%setup -q -n %{repo}-%{commit}

%build
mkdir -p %{build_gopath}/src/%{provider}.%{provider_tld}/%{project}
ln -s ../../../../%{repo}-%{commit} %{build_gopath}/src/%{import_path}

# Ensure the default GOBIN is used ${GOPATH}/bin
unset GOBIN
export GOPATH=%{build_gopath}
export LDFLAGS='-s -w'
%gobuild %{import_path}

%install
install -d %{buildroot}%{_bindir}
install -D -p -m 0755 %{_builddir}/%{repo}-%{commit}/%{repo} %{buildroot}/%{_bindir}/%{repo}

%files
%{_bindir}/%{repo}


%changelog
* Thu Nov 16 2017 Yaakov Selkowitz <yselkowi@redhat.com> - 0-2.gitceca8c1
- Rebuilt for multi-arch enablement

* Mon Aug 28 2017 Paul Gier <pgier@redhat.com> - 0-1.20170828154350.gitceca8c1
- Initial spec creation
